# Todo List for v3.0 of Learning Bitcoin

The following TODO items are intended for a 3.0 version of Learning Bitcoin from the Command Line

1. Rewrite Section: Understanding the Descriptor (3.5)
   * New Content: Descriptor Wallets
   * New Content: Complex Descriptors
   * Consider: Breaking into Two Sections
1. New Chapter: Using Other Command-Line Tools (between 8+9)
   * 9.1: Using seedtool
   * 9.2: Using keytool
   * 9.3: Using bytewords-cli
1. New Chapter: Using Miniscript Command-Line Tools (between 13+14)
   * 15.1: Using miniscript
   * 15.2: Using Bitcoin Dev Kit (BDK)
   * 15.3: Planning for the Future
1. New Content: Expand the PSBT Libwally Content (17.4) into Two Sections
   * 17.4: Signing PSBTs in Libwally
      * Explanation: Contains the current info on importing a PSBT, and shows how to sign it
   * 17.5: Creating PSBTs in Libwally
      * Explanation: Contains the current info on creating a PSBT, and shows how to export it
3. New Chapter: Talking to Bitcoind with Swift (between 17+18)
   * 19.1: Accessing Bitcoind with Swift (existing section)
   * 19.2: Using Swift with Bitcoin Lib [Wolf's library]
   * 19.3: Using Swift with Libwally [Wolf's shim]

## Further Updates

The following updates could be part of v3.0 or could be further future, depending on interest and funding.

1. New Graphics: Animated GIFs for key demos.
   * Reference: https://github.com/faressoft/terminalizer

9. Schnorr (2021)
11. Interlude on QR production
   * QuickConnect QR
   * UR/Animated QR
12. Programming Lightning with C
   * _Some good docs from one of the developers are here: https://diyhpl.us/wiki/transcripts/blockstream-webinars/2019-07-31-rusty-russell-getting-started-with-c-lightning/._
   * _Other potential docs: https://twitter.com/roasbeef/status/1389649064753471488_
13. Consider TIme Lock Discussion Improvements
   * Especially look at chart in https://prestwi.ch/bitcoin-time-locks/
14. Taproot (August/November)
   * First Successful Taproot Transactions (Peter W., Twitter)
